@mixin text-overflow {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.a-data {
  &__title {
    @include text-overflow();
  }
  &__artist {
    @include text-overflow();
  }
  &__album {
    @include text-overflow();
  }
}
